---
title: '::-webkit-outer-spin-button'
slug: 'Web/CSS/::-webkit-outer-spin-button'
tags:
  - CSS
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-webkit-outer-spin-button</code></strong> CSS pseudo-element is used to style the outer part of the spinner button of number picker {{htmlelement("input")}} elements.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-outer-spin-button</pre>

<h2 id="Examples">Examples</h2>

<div class="notecard note">
<p>These examples only works on browsers based on WebKit or Blink.</p>
</div>

<h3 id="Hiding_the_spinner">Hiding the spinner</h3>

<p>This example uses <code>input::-webkit-outer-spin-button</code> to find {{HTMLElement("input")}} elements' spinner widgets and set their {{cssxref("-webkit-appearance")}} to <code>none</code>, thus hiding them.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;input type="number"&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">input::-webkit-outer-spin-button {
  -webkit-appearance: none;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Hiding_the_spinner", 200, 30)}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-outer-spin-button")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("::-webkit-inner-spin-button")}}</li>
 <li>{{cssxref("::-webkit-textfield-decoration-container")}}</li>
 <li><a href="http://trac.webkit.org/wiki/Styling%20Form%20Controls#inputelement">Styling Form Controls – WebKit</a></li>
</ul>
